<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}{{ constant('SITENAME') }}{% endblock %}</title>
        <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{{ constant('URLROOT') }}/css/bootstrap.css" type="text/css">
    <link rel="stylesheet" href="{{ constant('URLROOT') }}/css/sweetalert2.min.css" type="text/css">
    <link rel="stylesheet" href="{{ constant('URLROOT') }}/css/toastr.css" type="text/css">
    <link rel="stylesheet" href="{{ constant('URLROOT') }}/css/font-awesome.css" type="text/css">
    <link rel="stylesheet" href="{{ constant('URLROOT') }}/css/prism.css" type="text/css">
    <link rel="stylesheet" href="{{ constant('URLROOT') }}/css/chosen.min.css" type="text/css">
    </head>
    <body>

<nav class="navbar navbar-expand-lg navbar-dark mb-3" style="background-color: #004E75;">
    <div class="container">
            <a class="navbar-brand" href="<?php echo URLROOT2; ?>">{{ constant('SITENAME') }}</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    </div>

<div class="col-8 text-center text-white">
<h5>{{ constant('SITE_EMP') }}</h5>
</div>
</nav>
   <!--     <div id="content">  </div>  -->
        {% block body %}{% endblock %}

<!--</div>-->
</body>
</html>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/jquery.min.js"></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/popper.min.js"></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/bootstrap.min.js"></script>
<!-- /*<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>*/ -->
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/jquery.validate.min.js"></script>

<script type="text/javascript" src="{{ constant('URLROOT') }}/js/chosen.jquery.js"></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/prism.js"></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/init.js"></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/functions.js"></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/formatofecha.js" async></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/jquery.inputmask.js"></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/jquery.price_format.2.0.min.js" async></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/sweetalert2.min.js" async></script>
<script type="text/javascript" src="{{ constant('URLROOT') }}/js/toastr.min.js" async></script>
<script>
/*var fecha = new Date();
var anio = fecha.getFullYear();
var dia = fecha.getDate();
var _mes = fecha.getMonth(); //viene con valores de 0 al 11
_mes = _mes + 1; //ahora lo tienes de 1 al 12
if (_mes < 10) //ahora le agregas un 0 para el formato date
{
    var mes = "0" + _mes;
} else {
    var mes = _mes.toString;
}

let fecha_minimo = anio + '-' + mes + '-' + dia; // Nueva variable
document.getElementById("fecha").setAttribute('max',fecha_minimo);*/


$(document).on('click', '.button', function (e) {
        e.preventDefault();
        var id = $(this).data('id');
        var token = $(this).data('token');
        var ruta = $(this).data('ruta');
//alert(ruta);
Swal({
    title: 'Esta seguro de ELIMINAR el registro ?',
    text: "No puede revertir este proceso !",
    type: 'question',
    showCancelButton: true,
    confirmButtonColor: '#FF0000',
    cancelButtonColor: '#006600',
    confirmButtonText: 'Si, eliminarlo...',
    cancelButtonText: 'No, cancelar',
}).then((result) => {
    if (result.value) {
    		$.ajax({
                        url: ruta,
                        cache: false,
                        type: "POST",
                data: {id:id,_method: 'delete', token :token},
                success: function(datos){
                //alert(datos);
                if(datos=="NOPUEDEBORRAR"){
                toastr["error"]("EL REGISTRO NO PUEDE SER ELIMINADO", "IMPORTANTE...")
                }else{
                location.reload();
                }
                }
                });
    }
})

});

$(document).ready(function(){
    $("#telefono1").inputmask("(9999)999.99.99");  //static mask
    $("#telefono2").inputmask("(9999)999.99.99");  //static mask
    $("#celular").inputmask("(9999)999.99.99");  //static mask
    $("#local").inputmask("(9999)999.99.99");  //static mask
    $(selector).inputmask({"mask": "(999) 999-9999"}); //specifying options
    $(selector).inputmask("9-a{1,3}9{1,3}"); //mask with dynamic syntax

    $("#superficie").inputmask({
        'alias': 'decimal',
        'rightAlign': true,
        'digits': 2,
        'digitsOptional': false,
        'placeholder': '0',
        'groupSeparator': '.',
        'radixPoint': ',',
        'autoGroup': true
    });

    $("#alicuota").inputmask({
        'alias': 'decimal',
        'rightAlign': true,
        'digits': 8,
        'digitsOptional': false,
        'placeholder': '0',
        'groupSeparator': '.',
        'radixPoint': ',',
        'autoGroup': true
    });
        $("#monto").inputmask({
        'alias': 'decimal',
        'integerDigits': 5,
        'digits': 2,
        'digitsOptional': false,
        'placeholder': '0',
        'allowMinus': false,
        'groupSeparator': '.',
        'radixPoint': ',',
        'autoGroup': true
    });
        $("#monto1").inputmask({
        'alias': 'decimal',
        'integerDigits': 5,
        'digits': 2,
        'digitsOptional': false,
        'placeholder': '0',
        'allowMinus': false,
        'groupSeparator': '.',
        'radixPoint': ',',
        'autoGroup': true
    });
        $("#monto2").inputmask({
        'alias': 'decimal',
        'integerDigits': 5,
        'digits': 2,
        'digitsOptional': false,
        'placeholder': '0',
        'allowMinus': false,
        'groupSeparator': '.',
        'radixPoint': ',',
        'autoGroup': true
    });
});




$(".chosen-select").chosen();

// Al presionar cualquier tecla en cualquier campo de texto, ejectuamos la siguiente función
$('input').on('keydown', function(e){
                // Solo nos importa si la tecla presionada fue ENTER... (Para ver el código de otras teclas: http://www.webonweboff.com/tips/js/event_key_codes.aspx)
                if(e.keyCode === 13)
                {
                        // Obtenemos el número del tabindex del campo actual
                        var currentTabIndex = $(this).attr('tabindex');
                        // Le sumamos 1 :P
                        var nextTabIndex = parseInt(currentTabIndex) + 1;
                        // Obtenemos (si existe) el siguiente elemento usando la variable nextTabIndex
                        var nextField       = $('[tabindex='+nextTabIndex+']');
                        // Si se encontró un elemento:
                        if(nextField.length > 0)
                        {
                                // Hacerle focus / seleccionarlo
                                nextField.focus();
                                // Ignorar el funcionamiento predeterminado (enviar el formulario)
                                e.preventDefault();
                        }
                        // Si no se encontro ningún elemento, no hacemos nada (se envia el formulario)
                }
});

$('#TransAct').on('show.bs.modal', function (event) {
          var button = $(event.relatedTarget) // Botón que activó el modal
                    var id = button.data('id') // Extraer la información de atributos de datos
                    var mes = button.data('mes') // Extraer la información de atributos de datos
                    var anho = button.data('anho') // Extraer la información de atributos de datos
                    var abc = button.data('nombre') // Extraer la información de atributos de datos

                    var modal = $(this)
                //    modal.find('.modal-title').text('Modificar país: '+nombre)
                    modal.find('.modal-body #id').val(id)
                    modal.find('.modal-body #mes').val(mes)
                    modal.find('.modal-body #anho').val(anho)
                    modal.find('.modal-body #condominio').val(abc)
                //    $('.alert').hide();//Oculto alert
})

function procesando(){
Swal.fire({
    position: 'top-end',
    icon: 'success',
    title: 'Procesando...',
//    background: 'url({{ constant('URLROOT') }}/img/loading.gif)',
    imageUrl: '{{ constant("URLROOT") }}/img/cargando.gif',
    imageWidth: 50,
    imageHeight: 50,
//    imageAlt: 'Custom image',
    showConfirmButton: false,
//    timer: 2000,
    timerProgressBar: true
//    timer: 1500
});
}
</script>
{% block javascripts %}{% endblock %}